Bug 236242 - textproc/elasticsearch6: Upgrade to 6.5.4
Summary: textproc/elasticsearch6: Upgrade to 6.5.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-05 08:25 UTC by gettoknowmi
Modified: 2019-07-11 09:30 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback-


Attachments
svndi_elasticsearch6 (936 bytes, patch)
2019-03-05 20:34 UTC, gettoknowmi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gettoknowmi 2019-03-05 08:25:17 UTC
Index: Makefile
===================================================================
--- Makefile	(revision 494187)
+++ Makefile	(working copy)
@@ -2,8 +2,8 @@
 # $FreeBSD$

 PORTNAME=	elasticsearch
-PORTVERSION=	6.4.2
-PORTREVISION=	1
+PORTVERSION=	6.5.4
+PORTREVISION=	0
 CATEGORIES=	textproc java devel
 MASTER_SITES=	https://artifacts.elastic.co/downloads/${PORTNAME}/ \
 		http://mirrors.rit.edu/zi/
Index: distinfo
===================================================================
--- distinfo	(revision 494187)
+++ distinfo	(working copy)
@@ -1,3 +1,3 @@
-TIMESTAMP = 1541260799
-SHA256 (elasticsearch-6.4.2.tar.gz) = 32a9c0305faed1cbd4e22c85a8c333ca2b6704f1d0006e92709fada10cec3f45
-SIZE (elasticsearch-6.4.2.tar.gz) = 97914519
+TIMESTAMP = 1548195078
+SHA256 (elasticsearch-6.5.4.tar.gz) = 762e25c036fa2e882cb7e91d83868fa15a1cad8549d279a8c5826a005bb31877
+SIZE (elasticsearch-6.5.4.tar.gz) = 113322649
Comment 1 gettoknowmi 2019-03-05 20:34:14 UTC
Created attachment 202614 [details]
svndi_elasticsearch6
Comment 2 Kurt Jaeger freebsd_committer 2019-04-17 18:02:03 UTC
testbuilds@work
Comment 3 Kurt Jaeger freebsd_committer 2019-04-17 19:50:30 UTC
testbuilds are fine, except on i386, because of devel/jna, see

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=234718
Comment 4 commit-hook freebsd_committer 2019-04-28 20:16:05 UTC
A commit references this bug:

Author: pi
Date: Sun Apr 28 20:15:50 UTC 2019
New revision: 500366
URL: https://svnweb.freebsd.org/changeset/ports/500366

Log:
  textproc/elasticsearch6: upgrade 6.4.2 -> 6.5.4

  PR:		236242
  Submitted by:	gettoknowmi@yahoo.com
  Approved by:	feld (maintainer timeout)
  Relnotes:	https://www.elastic.co/downloads/past-releases

Changes:
  head/textproc/elasticsearch6/Makefile
  head/textproc/elasticsearch6/distinfo
Comment 5 Kurt Jaeger freebsd_committer 2019-04-28 20:17:18 UTC
Committed, thanks.

Will you test 6.7.0 or 7.0.0, as they were released recently ?
Comment 6 Patrik Hildingsson 2019-07-11 09:30:41 UTC
Shouldn't this be released to the pkg repository along with the same version of logstash (6.5.2)? As it is now (of 11th July 2019) elasticsearch6 (6.5.2) and logstash6 (6.4.2) are out of sync.